-- MetaData Filter. Copyright (C) 2015 radio42
-- Author: Bernd Niedergesäß
--
-- Lines that start with two dashes (like this line) are comments.
-- 
-- Metadata filters are written in a very simple programming 
-- language named Lua. Additional information about the language
-- and it's syntax can be found at http://www.lua.org.
--
-- This file implements a metadata filter that will parse raw titles

-- set the url to anything you want, e.g. your station web-site
local url="http://www.radio42.com"
-- Initialize the songtitle to be blank
local songtitle=""

-- This function is called by the application each time the
-- TCP client connects
function OnConnect()
  songtitle=""
end

-- This function is called by the application each time the
-- TCP client disconnects
function OnDisconnect()
--if songtitle~="" then
    LogInfo("SendMetaDataSong(songtitle='",songtitle,"', url='",url,"')\n")
    SendMetaDataSong(songtitle,url)   -- Send metadata to application
--end
end

-- This function is called by the application each time a metadata
-- character is received.
function OnCharacterReceived(charNumber)
  local letter=string.char(charNumber)    -- Convert character number to letter
  songtitle=songtitle..letter             -- Append character to text
end
